## Replication Figure 8-9, A17 and Table 1

# Load Packages
library(readr)
library(readxl)
library(dplyr)
library(ggplot2)
library(lmtest)
library(stargazer)
library(sandwich)
library(lubridate)
library(AER)
library(scales)
library(pscl)
library(plm)
library(urca)
library(tseries)
library(EventStudy)
library(gridExtra)
library(mfx)
library(stringr)
library(sf)
library(fixest)

# Set Working Directory to the 'Data' Folder of the Replication Package
setwd("XXX")

# Load Data
Panel <- read_csv("Panel.csv")
Panel <- Panel[,-1]
Panel <- data.frame(Panel)
Spiele <- read_xlsx("Spiele.xlsx")
Spiele_2 <- Spiele
Stadien <- read_xlsx("Stadien.xlsx")

Panel$Spiel_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
Panel$vorher_01 <- 0
Panel$vorher_02 <- 0
Panel$vorher_03 <- 0
Panel$vorher_04 <- 0
Panel$vorher_05 <- 0
Panel$vorher_06 <- 0
Panel$vorher_07 <- 0
Panel$vorher_08 <- 0
Panel$vorher_09 <- 0
Panel$vorher_10 <- 0
Panel$vorher_11 <- 0
Panel$vorher_12 <- 0
Panel$vorher_13 <- 0
Panel$vorher_14 <- 0
Panel$vorher_15 <- 0
Panel$vorher_16 <- 0
Panel$vorher_17 <- 0
Panel$vorher_18 <- 0
Panel$vorher_19 <- 0
Panel$vorher_20 <- 0
Panel$vorher_21 <- 0
Panel$vorher_22 <- 0
Panel$vorher_23 <- 0
Panel$vorher_24 <- 0
Panel$vorher_25 <- 0
Panel$vorher_26 <- 0
Panel$vorher_27 <- 0
Panel$vorher_28 <- 0
Panel$vorher_29 <- 0
for (i in 1:29){
  a <- i
  b <- 75+i
  Panel[,b] <- dplyr::lag(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lag(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$danach_01 <- 0
Panel$danach_02 <- 0
Panel$danach_03 <- 0
Panel$danach_04 <- 0
Panel$danach_05 <- 0
Panel$danach_06 <- 0
Panel$danach_07 <- 0
Panel$danach_08 <- 0
Panel$danach_09 <- 0
Panel$danach_10 <- 0
Panel$danach_11 <- 0
Panel$danach_12 <- 0
Panel$danach_13 <- 0
Panel$danach_14 <- 0
Panel$danach_15 <- 0
Panel$danach_16 <- 0
Panel$danach_17 <- 0
Panel$danach_18 <- 0
Panel$danach_19 <- 0
Panel$danach_20 <- 0
Panel$danach_21 <- 0
Panel$danach_22 <- 0
for (i in 1:22){
  a <- i
  b <- 105+i
  Panel[,b] <- dplyr::lead(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lead(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$Faelle_pro_Einwohner <- Panel$Faelle/Panel$Einwohner*100000
Panel$vorher29[is.na(Panel$vorher_29)] <- 0
Panel$danach_22[is.na(Panel$danach_22)] <- 0
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$vorher_29 <- cumsum(a$vorher_29)
  Panel$vorher_29[Panel$IdLandkreis==i] <- a$vorher_29
}
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$danach_22 <- rev(cumsum(rev(a$danach_22)))
  Panel$danach_22[Panel$IdLandkreis==i] <- a$danach_22
}
Panel$weekday <- weekdays(as.Date(Panel$Meldedatum))
#Panel$vorher1 <- Panel$vorher_01+Panel$vorher_02+Panel$vorher_03+Panel$vorher_04+Panel$vorher_05+Panel$vorher_06+Panel$vorher_07
#Panel$vorher2 <- Panel$vorher_08+Panel$vorher_09+Panel$vorher_10+Panel$vorher_11+Panel$vorher_12+Panel$vorher_13+Panel$vorher_14
#Panel$vorher3 <- Panel$vorher_15+Panel$vorher_16+Panel$vorher_17+Panel$vorher_18+Panel$vorher_19+Panel$vorher_20+Panel$vorher_21
#Panel$vorher4 <- Panel$vorher_22+Panel$vorher_23+Panel$vorher_24+Panel$vorher_25+Panel$vorher_26+Panel$vorher_27+Panel$vorher_28
#Panel$danach1 <- Panel$danach_01+Panel$danach_02+Panel$danach_03+Panel$danach_04+Panel$danach_05+Panel$danach_06+Panel$danach_07
#Panel$danach2 <- Panel$danach_08+Panel$danach_09+Panel$danach_10+Panel$danach_11+Panel$danach_12+Panel$danach_13+Panel$danach_14
#Panel$danach3 <- Panel$danach_15+Panel$danach_16+Panel$danach_17+Panel$danach_18+Panel$danach_19+Panel$danach_20+Panel$danach_21
Panel$vorher1 <- Panel$vorher_01+Panel$vorher_02+Panel$vorher_03+Panel$vorher_04
Panel$vorher2 <- Panel$vorher_05+Panel$vorher_06+Panel$vorher_07+Panel$vorher_08
Panel$vorher3 <- Panel$vorher_09+Panel$vorher_10+Panel$vorher_11+Panel$vorher_12
Panel$vorher4 <- Panel$vorher_13+Panel$vorher_14+Panel$vorher_15+Panel$vorher_16
Panel$vorher5 <- Panel$vorher_17+Panel$vorher_18+Panel$vorher_19+Panel$vorher_20
Panel$vorher6 <- Panel$vorher_21+Panel$vorher_22+Panel$vorher_23+Panel$vorher_24
Panel$vorher7 <- Panel$vorher_25+Panel$vorher_26+Panel$vorher_27+Panel$vorher_28
Panel$danach1 <- Panel$danach_01+Panel$danach_02+Panel$danach_03+Panel$danach_04
Panel$danach2 <- Panel$danach_05+Panel$danach_06+Panel$danach_07+Panel$danach_08
Panel$danach3 <- Panel$danach_09+Panel$danach_10+Panel$danach_11+Panel$danach_12
Panel$danach4 <- Panel$danach_13+Panel$danach_14+Panel$danach_15+Panel$danach_16
Panel$danach5 <- Panel$danach_17+Panel$danach_18+Panel$danach_19+Panel$danach_20+Panel$danach_21

### Mobility an Spieltagen hoch?
NUTS_Match <- read_excel("NUTS_Match.xlsx")
Panel$IdLandkreis2 <- as.numeric(Panel$IdLandkreis)
Panel <- left_join(Panel, dplyr::select(NUTS_Match, IdLandkreis, NUTS3), by = c("IdLandkreis2" = "IdLandkreis"))
Mobility <- read.csv("Mobility.txt")
Mobility$date <- as.Date(Mobility$date)
Panel <- left_join(Panel, dplyr::select(Mobility, NUTS3, date, mobility_change), by = c("NUTS3", "Meldedatum" = "date"))
Panel$mobility_change <- Panel$mobility_change*100
Panel$Inzidenz_3550 <- ifelse(Panel$Inzidenz_Faelle>=35 & Panel$Inzidenz_Faelle<50, 1, 0)
Panel$Inzidenz_50 <- ifelse(Panel$Inzidenz_Faelle>=50, 1, 0)
Panel$Inzidenz_lag <- dplyr::lag(Panel$Inzidenz_Faelle)
Panel$Spiel <- NULL
Spiele_2$Spiel <- 1
Panel <- left_join(Panel, summarize(group_by(left_join(Spiele_2, filter(Stadien, Saison=="2019/2020"), by = c("Stadion_A" = "Club")), Datum, Heimkreis), Spiel=sum(Spiel)), by = c("IdLandkreis" = "Heimkreis", "Meldedatum" = "Datum"))
Panel$Spiel[is.na(Panel$Spiel)] <- 0
Panel$Spiel_pro_Einwohner_auswaerts <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner_auswaerts[Panel$Spiel==0] <- 0
Panel$Zuschauer_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100
Panel$Zuschauer_pro_Einwohner[Panel$Zuschauer==0] <- 0
Panel$Spiel <- NULL
Panel <- left_join(Panel, summarize(group_by(left_join(filter(Spiele_2, Zuschauer==0), filter(Stadien, Saison=="2019/2020"), by = c("Stadion" = "Club")), Datum, Heimkreis), Spiel=sum(Spiel)), by = c("IdLandkreis" = "Heimkreis", "Meldedatum" = "Datum"))
Panel$Spiel[is.na(Panel$Spiel)] <- 0
Panel$Ghost_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Ghost_pro_Einwohner[is.na(Panel$Ghost_pro_Einwohner)] <- 0
Panel$Spiel <- NULL
Panel <- left_join(Panel, summarize(group_by(left_join(filter(Spiele_2, Zuschauer>0 & Spiele_2$Wettbewerb %in% c("Bundesliga", "2. Bundesliga", "3. Liga")), filter(Stadien, Saison=="2019/2020"), by = c("Stadion" = "Club")), Datum, Heimkreis), Spiel=sum(Spiel)), by = c("IdLandkreis" = "Heimkreis", "Meldedatum" = "Datum"))
Panel$Spiel_Top_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_Top_pro_Einwohner[is.na(Panel$Spiel_Top_pro_Einwohner)] <- 0
Panel$share <- Panel$Spiel_Top_pro_Einwohner/Panel$Spiel_pro_Einwohner
Panel$share[is.na(Panel$share)] <- 0
Panel$weekday <- weekdays(Panel$Meldedatum)
Panel$stateweek <- paste(Panel$IdBundesland, Panel$week)
Panel$countyweekday <- paste(Panel$IdLandkreis, Panel$weekday)

# Figure A17: Left Plot
reg1 <- feols(mobility_change ~ vorher_01 + vorher_02 + vorher_03 + vorher_04 + vorher_05 + vorher_06 + vorher_07 + vorher_08 + vorher_09 +
                vorher_10 + vorher_11 + vorher_12 + vorher_13 + vorher_14 + vorher_15 + vorher_16 + vorher_17 + vorher_18 + vorher_19 + vorher_20 + vorher_21 + vorher_22 +
                vorher_23 + vorher_24 + vorher_25 + vorher_26 + vorher_27 + vorher_28 + vorher_29 +
                danach_01 + danach_02 + danach_03 + danach_04 + danach_05 + danach_06 + danach_07 + danach_08 + danach_09 + danach_10 + danach_11 +
                danach_12 + danach_13 + danach_14 + danach_15 +
                danach_16 + danach_17 + danach_18 + danach_19 + danach_20 + danach_21 + danach_22 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-07-31" & Panel$Meldedatum<"2020-11-02",], cluster = ~IdLandkreis)
coefficient <- reg1$coefficients[c(1:28, 30:50)]
st_error <- reg1$se[c(1:28, 30:50)]*1.96
timing <- c(1:28, -1:-21)
data <- as.data.frame(cbind(coefficient, st_error, timing))
data[50,] <- c(0,0,0)
ggplot(data, aes(x=timing)) + geom_ribbon(aes(ymin=coefficient-st_error, ymax=coefficient+st_error), alpha=0.2, fill="blue") + geom_ribbon(aes(ymin=coefficient-st_error/1.959964*1.64, ymax=coefficient+st_error/1.959964*1.64), alpha=0.35, fill="blue") + geom_point(aes(y=coefficient), col="navyblue", size=2) + geom_line(aes(y=coefficient), col="navyblue", size=0.5) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=0, linetype="dashed") + labs(y="Mobility Change in Percentage Points", x="Days") + ylim(-5.5,1.5) + xlim(-21,28)

# Figure 9: Left Plot
reg1 <- lm(mobility_change ~ danach1 + danach2 + danach3 + danach4 + danach5 + danach_22 + vorher1 + vorher2 + vorher3 + vorher4 + vorher5 + vorher6 + vorher7 + vorher_29 + parks + grocery + retail + stations + workplaces + residential    + factor(IdLandkreis) + factor(Meldedatum) + factor(IdBundesland):factor(week)  +0, Panel[Panel$Meldedatum>"2020-07-31" & Panel$Meldedatum<"2020-11-02",])
a <- coeftest(reg1, vcov = vcovCL(reg1, type = "HC1", cluster= ~IdLandkreis))
coefficient <- a[c(1:5, 7:13),1]
st_error <- a[c(1:5,7:13),2]
timing <- c(" [-4,-1]", "  [-8,-5]", "  [-12,-9]", "   [-16,-13]", "    [-21,-17]", " [1,4]", " [5,8]", " [9,12]", "[13,16]", "[17,20]", "[21,24]", "[25,28]")
#timing <- c(-2.5, -6.5, -10.5, -14.5, -18.5, -22.5, 2.5, 6.5, 10.5, 14.5, 18.5, 22.5, 26.5, 30.5)
data <- as.data.frame(coefficient)
data$timing <- timing
data$st_error <- st_error
data[13,] <- c(0, " [0]", 0)
data$st_error <- as.numeric(data$st_error)*1.959964
data$coefficient <- as.numeric(data$coefficient)
#data$timing <- as.numeric(data$timing)
ggplot(data, aes(x=timing)) + geom_ribbon(aes(ymin=coefficient-st_error, ymax=coefficient+st_error, group=1), alpha=0.2, fill="blue") + geom_ribbon(aes(ymin=coefficient-st_error/1.959964*1.64, ymax=coefficient+st_error/1.959964*1.64, group=1), alpha=0.35, fill="blue") + geom_point(aes(y=coefficient), col="navyblue", size=2) + geom_line(aes(y=coefficient, group=1), col="navyblue", size=0.5) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=6, linetype="dashed") + labs(y="Mobility Change in Percentage Points", x="Days") + ylim(-4,1.5)


# Load Data
Panel <- read_csv("Panel.csv")
Panel <- Panel[,-1]
Panel <- data.frame(Panel)

Panel$Spiel_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
Panel$vorher_01 <- 0
Panel$vorher_02 <- 0
Panel$vorher_03 <- 0
Panel$vorher_04 <- 0
Panel$vorher_05 <- 0
Panel$vorher_06 <- 0
Panel$vorher_07 <- 0
Panel$vorher_08 <- 0
Panel$vorher_09 <- 0
Panel$vorher_10 <- 0
Panel$vorher_11 <- 0
Panel$vorher_12 <- 0
Panel$vorher_13 <- 0
Panel$vorher_14 <- 0
Panel$vorher_15 <- 0
Panel$vorher_16 <- 0
Panel$vorher_17 <- 0
Panel$vorher_18 <- 0
Panel$vorher_19 <- 0
Panel$vorher_20 <- 0
Panel$vorher_21 <- 0
Panel$vorher_22 <- 0
Panel$vorher_23 <- 0
Panel$vorher_24 <- 0
Panel$vorher_25 <- 0
Panel$vorher_26 <- 0
Panel$vorher_27 <- 0
Panel$vorher_28 <- 0
Panel$vorher_29 <- 0
for (i in 1:29){
  a <- i
  b <- 75+i
  Panel[,b] <- dplyr::lag(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lag(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$danach_01 <- 0
Panel$danach_02 <- 0
Panel$danach_03 <- 0
Panel$danach_04 <- 0
Panel$danach_05 <- 0
Panel$danach_06 <- 0
Panel$danach_07 <- 0
Panel$danach_08 <- 0
Panel$danach_09 <- 0
Panel$danach_10 <- 0
Panel$danach_11 <- 0
Panel$danach_12 <- 0
Panel$danach_13 <- 0
Panel$danach_14 <- 0
Panel$danach_15 <- 0
Panel$danach_16 <- 0
Panel$danach_17 <- 0
Panel$danach_18 <- 0
Panel$danach_19 <- 0
Panel$danach_20 <- 0
Panel$danach_21 <- 0
Panel$danach_22 <- 0
for (i in 1:22){
  a <- i
  b <- 105+i
  Panel[,b] <- dplyr::lead(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lead(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$Faelle_pro_Einwohner <- Panel$Faelle/Panel$Einwohner*100000
Panel$vorher29[is.na(Panel$vorher_29)] <- 0
Panel$danach_22[is.na(Panel$danach_22)] <- 0
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$vorher_29 <- cumsum(a$vorher_29)
  Panel$vorher_29[Panel$IdLandkreis==i] <- a$vorher_29
}
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$danach_22 <- rev(cumsum(rev(a$danach_22)))
  Panel$danach_22[Panel$IdLandkreis==i] <- a$danach_22
}
Panel$weekday <- weekdays(as.Date(Panel$Meldedatum))
#Panel$vorher1 <- Panel$vorher_01+Panel$vorher_02+Panel$vorher_03+Panel$vorher_04+Panel$vorher_05+Panel$vorher_06+Panel$vorher_07
#Panel$vorher2 <- Panel$vorher_08+Panel$vorher_09+Panel$vorher_10+Panel$vorher_11+Panel$vorher_12+Panel$vorher_13+Panel$vorher_14
#Panel$vorher3 <- Panel$vorher_15+Panel$vorher_16+Panel$vorher_17+Panel$vorher_18+Panel$vorher_19+Panel$vorher_20+Panel$vorher_21
#Panel$vorher4 <- Panel$vorher_22+Panel$vorher_23+Panel$vorher_24+Panel$vorher_25+Panel$vorher_26+Panel$vorher_27+Panel$vorher_28
#Panel$danach1 <- Panel$danach_01+Panel$danach_02+Panel$danach_03+Panel$danach_04+Panel$danach_05+Panel$danach_06+Panel$danach_07
#Panel$danach2 <- Panel$danach_08+Panel$danach_09+Panel$danach_10+Panel$danach_11+Panel$danach_12+Panel$danach_13+Panel$danach_14
#Panel$danach3 <- Panel$danach_15+Panel$danach_16+Panel$danach_17+Panel$danach_18+Panel$danach_19+Panel$danach_20+Panel$danach_21
Panel$vorher1 <- Panel$vorher_01+Panel$vorher_02+Panel$vorher_03+Panel$vorher_04
Panel$vorher2 <- Panel$vorher_05+Panel$vorher_06+Panel$vorher_07+Panel$vorher_08
Panel$vorher3 <- Panel$vorher_09+Panel$vorher_10+Panel$vorher_11+Panel$vorher_12
Panel$vorher4 <- Panel$vorher_13+Panel$vorher_14+Panel$vorher_15+Panel$vorher_16
Panel$vorher5 <- Panel$vorher_17+Panel$vorher_18+Panel$vorher_19+Panel$vorher_20
Panel$vorher6 <- Panel$vorher_21+Panel$vorher_22+Panel$vorher_23+Panel$vorher_24
Panel$vorher7 <- Panel$vorher_25+Panel$vorher_26+Panel$vorher_27+Panel$vorher_28
Panel$danach1 <- Panel$danach_01+Panel$danach_02+Panel$danach_03+Panel$danach_04
Panel$danach2 <- Panel$danach_05+Panel$danach_06+Panel$danach_07+Panel$danach_08
Panel$danach3 <- Panel$danach_09+Panel$danach_10+Panel$danach_11+Panel$danach_12
Panel$danach4 <- Panel$danach_13+Panel$danach_14+Panel$danach_15+Panel$danach_16
Panel$danach5 <- Panel$danach_17+Panel$danach_18+Panel$danach_19+Panel$danach_20+Panel$danach_21

### Mobility an Spieltagen hoch?
NUTS_Match <- read_excel("NUTS_Match.xlsx")
Panel$IdLandkreis2 <- as.numeric(Panel$IdLandkreis)
Panel <- left_join(Panel, dplyr::select(NUTS_Match, IdLandkreis, NUTS3), by = c("IdLandkreis2" = "IdLandkreis"))
Mobility <- read.csv("Mobility.txt")
Mobility$date <- as.Date(Mobility$date)
Panel <- left_join(Panel, dplyr::select(Mobility, NUTS3, date, mobility_change), by = c("NUTS3", "Meldedatum" = "date"))
Panel$mobility_change <- Panel$mobility_change*100
Panel$Inzidenz_3550 <- ifelse(Panel$Inzidenz_Faelle>=35 & Panel$Inzidenz_Faelle<50, 1, 0)
Panel$Inzidenz_50 <- ifelse(Panel$Inzidenz_Faelle>=50, 1, 0)
Panel$Inzidenz_lag <- dplyr::lag(Panel$Inzidenz_Faelle)
Panel$Spiel <- NULL
Spiele_2$Spiel <- 1
Panel <- left_join(Panel, summarize(group_by(left_join(Spiele_2, filter(Stadien, Saison=="2019/2020"), by = c("Stadion_A" = "Club")), Datum, Heimkreis), Spiel=sum(Spiel)), by = c("IdLandkreis" = "Heimkreis", "Meldedatum" = "Datum"))
Panel$Spiel[is.na(Panel$Spiel)] <- 0
Panel$Spiel_pro_Einwohner_auswaerts <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner_auswaerts[Panel$Spiel==0] <- 0
Panel$Zuschauer_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100
Panel$Zuschauer_pro_Einwohner[Panel$Zuschauer==0] <- 0
Panel$Spiel <- NULL
Panel <- left_join(Panel, summarize(group_by(left_join(filter(Spiele_2, Zuschauer==0), filter(Stadien, Saison=="2019/2020"), by = c("Stadion" = "Club")), Datum, Heimkreis), Spiel=sum(Spiel)), by = c("IdLandkreis" = "Heimkreis", "Meldedatum" = "Datum"))
Panel$Spiel[is.na(Panel$Spiel)] <- 0
Panel$Ghost_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Ghost_pro_Einwohner[is.na(Panel$Ghost_pro_Einwohner)] <- 0
Panel$Spiel <- NULL
Panel <- left_join(Panel, summarize(group_by(left_join(filter(Spiele_2, Zuschauer>0 & Spiele_2$Wettbewerb %in% c("Bundesliga", "2. Bundesliga", "3. Liga")), filter(Stadien, Saison=="2019/2020"), by = c("Stadion" = "Club")), Datum, Heimkreis), Spiel=sum(Spiel)), by = c("IdLandkreis" = "Heimkreis", "Meldedatum" = "Datum"))
Panel$Spiel_Top_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_Top_pro_Einwohner[is.na(Panel$Spiel_Top_pro_Einwohner)] <- 0
Panel$share <- Panel$Spiel_Top_pro_Einwohner/Panel$Spiel_pro_Einwohner
Panel$share[is.na(Panel$share)] <- 0
Panel$weekday <- weekdays(Panel$Meldedatum)
Panel$stateweek <- paste(Panel$IdBundesland, Panel$week)
Panel$countyweekday <- paste(Panel$IdLandkreis, Panel$weekday)

# Figure A17: Right Plot
reg1 <- feols(mobility_change ~ vorher_01 + vorher_02 + vorher_03 + vorher_04 + vorher_05 + vorher_06 + vorher_07 + vorher_08 + vorher_09 +
                vorher_10 + vorher_11 + vorher_12 + vorher_13 + vorher_14 + vorher_15 + vorher_16 + vorher_17 + vorher_18 + vorher_19 + vorher_20 + vorher_21 + vorher_22 +
                vorher_23 + vorher_24 + vorher_25 + vorher_26 + vorher_27 + vorher_28 + vorher_29 +
                danach_01 + danach_02 + danach_03 + danach_04 + danach_05 + danach_06 + danach_07 + danach_08 + danach_09 + danach_10 + danach_11 +
                danach_12 + danach_13 + danach_14 + danach_15 +
                danach_16 + danach_17 + danach_18 + danach_19 + danach_20 + danach_21 + danach_22 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-07-31" & Panel$Meldedatum<"2020-11-02",], cluster = ~IdLandkreis)
coefficient <- reg1$coefficients[c(1:28, 30:50)]
st_error <- reg1$se[c(1:28, 30:50)]*1.96
timing <- c(1:28, -1:-21)
data <- as.data.frame(cbind(coefficient, st_error, timing))
data[50,] <- c(0,0,0)
ggplot(data, aes(x=timing)) + geom_ribbon(aes(ymin=coefficient-st_error, ymax=coefficient+st_error), alpha=0.2, fill="blue") + geom_ribbon(aes(ymin=coefficient-st_error/1.959964*1.64, ymax=coefficient+st_error/1.959964*1.64), alpha=0.35, fill="blue") + geom_point(aes(y=coefficient), col="navyblue", size=2) + geom_line(aes(y=coefficient), col="navyblue", size=0.5) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=0, linetype="dashed") + labs(y="Mobility Change in Percentage Points", x="Days") + ylim(-0.0055,0.0015) + xlim(-21,28)

# Figure 9: Right Plot
reg1 <- lm(mobility_change ~ danach1 + danach2 + danach3 + danach4 + danach5 + danach_22 + vorher1 + vorher2 + vorher3 + vorher4 + vorher5 + vorher6 + vorher7 + vorher_29 + parks + grocery + retail + stations + workplaces + residential    + factor(IdLandkreis) + factor(Meldedatum) + factor(IdBundesland):factor(week)  +0, Panel[Panel$Meldedatum>"2020-07-31" & Panel$Meldedatum<"2020-11-02",])
a <- coeftest(reg1, vcov = vcovCL(reg1, type = "HC1", cluster= ~IdLandkreis))
coefficient <- a[c(1:5, 7:13),1]
st_error <- a[c(1:5,7:13),2]
timing <- c(" [-4,-1]", "  [-8,-5]", "  [-12,-9]", "   [-16,-13]", "    [-21,-17]", " [1,4]", " [5,8]", " [9,12]", "[13,16]", "[17,20]", "[21,24]", "[25,28]")
#timing <- c(-2.5, -6.5, -10.5, -14.5, -18.5, -22.5, 2.5, 6.5, 10.5, 14.5, 18.5, 22.5, 26.5, 30.5)
data <- as.data.frame(coefficient)
data$timing <- timing
data$st_error <- st_error
data[13,] <- c(0, " [0]", 0)
data$st_error <- as.numeric(data$st_error)*1.959964
data$coefficient <- as.numeric(data$coefficient)
#data$timing <- as.numeric(data$timing)
ggplot(data, aes(x=timing)) + geom_ribbon(aes(ymin=coefficient-st_error, ymax=coefficient+st_error, group=1), alpha=0.2, fill="blue") + geom_ribbon(aes(ymin=coefficient-st_error/1.959964*1.64, ymax=coefficient+st_error/1.959964*1.64, group=1), alpha=0.35, fill="blue") + geom_point(aes(y=coefficient), col="navyblue", size=2) + geom_line(aes(y=coefficient, group=1), col="navyblue", size=0.5) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=6, linetype="dashed") + labs(y="Mobility Change in Percentage Points", x="Days") + ylim(-0.0035,0.0015)

# Figure 8
mobility <- summarize(group_by(ungroup(Panel), Meldedatum), moblity = sum(mobility_change*as.numeric(Einwohner))/sum(as.numeric(Einwohner)))
mobility <- mobility[!(is.na(mobility$moblity)),]
ggplot(mobility, aes(Meldedatum, moblity)) + geom_point(col="navyblue") + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + labs(y="Mobility Change to Pre-Pandemic Times in %", x="Date") + geom_vline(xintercept = as.POSIXct(as.Date("2020-11-02"))) + annotate(geom="text", x=as.POSIXct(as.Date("2020-11-15")), y=12.9, label="Lockdown Light", fontface=2)






# Load Data
Panel <- read_csv("Panel.csv")
Panel <- Panel[,-1]
Panel <- data.frame(Panel)
Panel$Spiel_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Zuschauer_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100000



### Mobility an Spieltagen hoch?
NUTS_Match <- read_excel("NUTS_Match.xlsx")
#Panel_Death$IdLandkreis2 <- as.numeric(Panel_Death$IdLandkreis)
Panel$IdLandkreis2 <- as.numeric(Panel$IdLandkreis)
#Panel <- left_join(Panel_Death, dplyr::select(NUTS_Match, IdLandkreis, NUTS3), by = c("IdLandkreis2" = "IdLandkreis"))
Panel <- left_join(Panel, dplyr::select(NUTS_Match, IdLandkreis, NUTS3), by = c("IdLandkreis2" = "IdLandkreis"))
Mobility <- read.csv("Mobility.txt")
Mobility$date <- as.Date(Mobility$date)
Panel <- left_join(Panel, dplyr::select(Mobility, NUTS3, date, mobility_change), by = c("NUTS3", "Meldedatum" = "date"))
Panel$mobility_change <- Panel$mobility_change*100
Panel$Inzidenz_3550 <- ifelse(Panel$Inzidenz_Faelle>=35 & Panel$Inzidenz_Faelle<50, 1, 0)
Panel$Inzidenz_50 <- ifelse(Panel$Inzidenz_Faelle>=50, 1, 0)
Panel$Inzidenz_lag <- dplyr::lag(Panel$Inzidenz_Faelle)
Panel$Spiel <- NULL
Spiele_2$Spiel <- 1
Panel <- left_join(Panel, summarize(group_by(left_join(Spiele_2, filter(Stadien, Saison=="2019/2020"), by = c("Stadion_A" = "Club")), Datum, Heimkreis), Spiel=sum(Spiel)), by = c("IdLandkreis" = "Heimkreis", "Meldedatum" = "Datum"))
Panel$Spiel[is.na(Panel$Spiel)] <- 0
Panel$Spiel_pro_Einwohner_auswaerts <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner_auswaerts[Panel$Spiel==0] <- 0
Panel$Zuschauer_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100
Panel$Zuschauer_pro_Einwohner[Panel$Zuschauer==0] <- 0
Panel$Spiel <- NULL
Panel <- left_join(Panel, summarize(group_by(left_join(filter(Spiele_2, Zuschauer==0), filter(Stadien, Saison=="2019/2020"), by = c("Stadion" = "Club")), Datum, Heimkreis), Spiel=sum(Spiel)), by = c("IdLandkreis" = "Heimkreis", "Meldedatum" = "Datum"))
Panel$Spiel[is.na(Panel$Spiel)] <- 0
Panel$Ghost_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Ghost_pro_Einwohner[is.na(Panel$Ghost_pro_Einwohner)] <- 0
Panel$Spiel <- NULL
Panel <- left_join(Panel, summarize(group_by(left_join(filter(Spiele_2, Zuschauer>0 & Spiele_2$Wettbewerb %in% c("Bundesliga", "2. Bundesliga", "3. Liga")), filter(Stadien, Saison=="2019/2020"), by = c("Stadion" = "Club")), Datum, Heimkreis), Spiel=sum(Spiel)), by = c("IdLandkreis" = "Heimkreis", "Meldedatum" = "Datum"))
Panel$Spiel_Top_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_Top_pro_Einwohner[is.na(Panel$Spiel_Top_pro_Einwohner)] <- 0
Panel$share <- Panel$Spiel_Top_pro_Einwohner/Panel$Spiel_pro_Einwohner
Panel$share[is.na(Panel$share)] <- 0
Panel$weekday <- weekdays(Panel$Meldedatum)
Panel$stateweek <- paste(Panel$IdBundesland, Panel$week)
Panel$stateday <- paste(Panel$IdBundesland, Panel$Meldedatum)

# Table 1
Panel$many <- ifelse(Panel$Zuschauer>mean(Panel$Zuschauer[Panel$Zuschauer>0]), 1, 0)
Panel$a <- Panel$Spiel_pro_Einwohner*Panel$many
Panel$b <- Panel$Spiel_pro_Einwohner*(1-Panel$many)
Panel$Spiel_nicht_Top_pro_Einwohner <- Panel$Spiel_pro_Einwohner-Panel$Spiel_Top_pro_Einwohner
a <- Panel[Panel$Meldedatum>"2020-07-31" & Panel$Meldedatum<"2020-11-02",]
a$stateweek <- paste(a$IdBundesland, a$week)
reg1 <- feols(mobility_change ~ Spiel_pro_Einwohner + Spiel_pro_Einwohner_auswaerts | Meldedatum + IdLandkreis, data = a, cluster = ~IdLandkreis)
reg2 <- feols(mobility_change ~ Spiel_pro_Einwohner + Spiel_pro_Einwohner_auswaerts | Meldedatum + IdLandkreis + stateweek, data = a, cluster = ~IdLandkreis)
reg3 <- feols(mobility_change ~ Spiel_pro_Einwohner + Spiel_pro_Einwohner_auswaerts + factor(IdLandkreis):Meldedatum | Meldedatum + IdLandkreis, data = a, cluster = ~IdLandkreis)
reg4 <- feols(mobility_change ~ Spiel_pro_Einwohner + Spiel_pro_Einwohner_auswaerts + Inzidenz_lag + Inzidenz_3550 + Inzidenz_50 | Meldedatum + IdLandkreis + stateweek, data = a, cluster = ~IdLandkreis)
reg5 <- feols(mobility_change ~ b + a + Spiel_pro_Einwohner_auswaerts + Inzidenz_lag + Inzidenz_3550 + Inzidenz_50 | Meldedatum + IdLandkreis + stateweek, data = a, cluster = ~IdLandkreis)
reg6 <- feols(mobility_change ~ Spiel_Top_pro_Einwohner + Spiel_nicht_Top_pro_Einwohner + Spiel_pro_Einwohner_auswaerts + Inzidenz_lag + Inzidenz_3550 + Inzidenz_50 | Meldedatum + IdLandkreis + stateweek, data = a, cluster = ~IdLandkreis)
reg7 <- feols(mobility_change ~ Spiel_pro_Einwohner + Spiel_pro_Einwohner_auswaerts + Inzidenz_lag + Inzidenz_3550 + Inzidenz_50 | Meldedatum + IdLandkreis + stateweek, data = a[a$weekday %in% c("Samstag", "Sonntag"),], cluster = ~IdLandkreis)
reg8 <- feols(mobility_change ~ Zuschauer_pro_Einwohner + Spiel_pro_Einwohner_auswaerts | Meldedatum + IdLandkreis, data = a, cluster = ~IdLandkreis)
reg9 <- feols(mobility_change ~ Zuschauer_pro_Einwohner + Spiel_pro_Einwohner_auswaerts | Meldedatum + IdLandkreis + stateweek, data = a, cluster = ~IdLandkreis)
reg10 <- feols(mobility_change ~ Zuschauer_pro_Einwohner + Spiel_pro_Einwohner_auswaerts + factor(IdLandkreis):Meldedatum | Meldedatum + IdLandkreis, data = a, cluster = ~IdLandkreis)
reg11 <- feols(mobility_change ~ Zuschauer_pro_Einwohner + Spiel_pro_Einwohner_auswaerts + Inzidenz_lag + Inzidenz_3550 + Inzidenz_50 | Meldedatum + IdLandkreis + stateweek, data = a, cluster = ~IdLandkreis)