## Replication Figure A15

# Load Packages
library(readr)
library(readxl)
library(dplyr)
library(ggplot2)
library(lmtest)
library(stargazer)
library(sandwich)
library(lubridate)
library(AER)
library(scales)
library(pscl)
library(plm)
library(urca)
library(tseries)
library(EventStudy)
library(gridExtra)
library(mfx)
library(stringr)
library(sf)
library(fixest)

# Set Working Directory to the 'Data' Folder of the Replication Package
setwd("XXX")

# Load Data
Panel <- read_csv("Panel.csv")
Panel <- as.data.frame(Panel[,-1])

Panel$Spiel_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100000
#Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel <- log(Panel$Zuschauer)
#Panel$Spiel[is.na(Panel$Spiel)] <- 0
#Panel$Spiel <- Panel$Spiel_pro_Einwohner
Panel$vorher_01 <- 0
Panel$vorher_02 <- 0
Panel$vorher_03 <- 0
Panel$vorher_04 <- 0
Panel$vorher_05 <- 0
Panel$vorher_06 <- 0
Panel$vorher_07 <- 0
Panel$vorher_08 <- 0
Panel$vorher_09 <- 0
Panel$vorher_10 <- 0
Panel$vorher_11 <- 0
Panel$vorher_12 <- 0
Panel$vorher_13 <- 0
Panel$vorher_14 <- 0
Panel$vorher_15 <- 0
Panel$vorher_16 <- 0
Panel$vorher_17 <- 0
Panel$vorher_18 <- 0
Panel$vorher_19 <- 0
Panel$vorher_20 <- 0
Panel$vorher_21 <- 0
Panel$vorher_22 <- 0
Panel$vorher_23 <- 0
Panel$vorher_24 <- 0
Panel$vorher_25 <- 0
Panel$vorher_26 <- 0
Panel$vorher_27 <- 0
Panel$vorher_28 <- 0
Panel$vorher_29 <- 0
Panel$vorher_30 <- 0
Panel$vorher_31 <- 0
Panel$vorher_32 <- 0
Panel$vorher_33 <- 0
Panel$vorher_34 <- 0
Panel$vorher_35 <- 0
Panel$vorher_36 <- 0
for (i in 1:36){
  a <- i
  b <- 75+i
  Panel[,b] <- dplyr::lag(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lag(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$danach_01 <- 0
Panel$danach_02 <- 0
Panel$danach_03 <- 0
Panel$danach_04 <- 0
Panel$danach_05 <- 0
Panel$danach_06 <- 0
Panel$danach_07 <- 0
Panel$danach_08 <- 0
Panel$danach_09 <- 0
Panel$danach_10 <- 0
Panel$danach_11 <- 0
Panel$danach_12 <- 0
Panel$danach_13 <- 0
Panel$danach_14 <- 0
Panel$danach_15 <- 0
for (i in 1:15){
  a <- i
  b <- 112+i
  Panel[,b] <- dplyr::lead(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lead(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$Faelle_pro_Einwohner <- Panel$Faelle/Panel$Einwohner*100000
Panel$Tode_pro_Einwohner <- Panel$Todesfall/Panel$Einwohner*100000
Panel$vorher_36[is.na(Panel$vorher_36)] <- 0
Panel$danach_15[is.na(Panel$danach_15)] <- 0
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$vorher_36 <- cumsum(a$vorher_36)
  Panel$vorher_36[Panel$IdLandkreis==i] <- a$vorher_36
}
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$danach_15 <- rev(cumsum(rev(a$danach_15)))
  Panel$danach_15[Panel$IdLandkreis==i] <- a$danach_15
}
Panel$weekday <- weekdays(as.Date(Panel$Meldedatum))
# Binned Results
Panel$vorher0103 <- Panel$vorher_01+Panel$vorher_02+Panel$vorher_03
Panel$vorher0406 <- Panel$vorher_04+Panel$vorher_05+Panel$vorher_06
Panel$vorher0709 <- Panel$vorher_07+Panel$vorher_08+Panel$vorher_09
Panel$vorher1012 <- Panel$vorher_10+Panel$vorher_11+Panel$vorher_12
Panel$vorher1315 <- Panel$vorher_13+Panel$vorher_14+Panel$vorher_15
Panel$vorher1618 <- Panel$vorher_16+Panel$vorher_17+Panel$vorher_18
Panel$vorher1921 <- Panel$vorher_19+Panel$vorher_20+Panel$vorher_21
Panel$vorher2224 <- Panel$vorher_22+Panel$vorher_23+Panel$vorher_24
Panel$vorher2527 <- Panel$vorher_25+Panel$vorher_26+Panel$vorher_27
Panel$vorher2830 <- Panel$vorher_28+Panel$vorher_29+Panel$vorher_30
Panel$vorher3133 <- Panel$vorher_31+Panel$vorher_32+Panel$vorher_33
Panel$vorher3435 <- Panel$vorher_34+Panel$vorher_35
Panel$danach0103 <- Panel$danach_01+Panel$danach_02+Panel$danach_03
Panel$danach0406 <- Panel$danach_04+Panel$danach_05+Panel$danach_06
Panel$danach0709 <- Panel$danach_07+Panel$danach_08+Panel$danach_09
Panel$danach1012 <- Panel$danach_10+Panel$danach_11+Panel$danach_12
Panel$danach1314 <- Panel$danach_13+Panel$danach_14
Panel$stateweek <- paste(Panel$state, Panel$week)
reg1 <- summary(feols(Tode_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher2224 + vorher2527 + vorher2830 + vorher3133 + vorher3435 + vorher_36 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:12,14:18)]
st_error <- reg1$se[c(1:12,14:18)]*1.96
timing <- c(" [1,3]", " [4,6]", " [7,9]", "[10,12]", "[13,15]","[16,18]", "[19,21]", "[22,24]", "[25,27]", "[28,30]", "[31,33]", "[34,35]", " [-3,-1]", "  [-6,-4]", "   [-9,-7]", "   [-12,-10]", "    [-14,-13]")
data <- as.data.frame(cbind(coefficient, st_error, timing))
data[18,] <- c(0,0," [0]")
data$coefficient <- as.numeric(data$coefficient)
data$st_error <- as.numeric(data$st_error)

# Figure A15: Left Plot
ggplot(data, aes(x=timing)) + geom_ribbon(aes(ymin=coefficient-st_error, ymax=coefficient+st_error), alpha=0.2, fill="blue", group=1) + geom_ribbon(aes(ymin=coefficient-st_error/1.959964*1.64, ymax=coefficient+st_error/1.959964*1.64), alpha=0.35, fill="blue", group=1) + geom_point(aes(y=coefficient), col="navyblue", size=2) + geom_line(aes(y=coefficient), col="navyblue", size=0.5, group=1) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=6, linetype="dashed") + labs(y="Daily Deaths per 100,000", x="Days") + ylim(-0.1,0.2)






# Load Data
Panel <- read_csv("Panel.csv")
Panel <- as.data.frame(Panel[,-1])

Panel$Spiel_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100000
#Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel <- log(Panel$Zuschauer)
#Panel$Spiel[is.na(Panel$Spiel)] <- 0
#Panel$Spiel <- Panel$Spiel_pro_Einwohner
Panel$vorher_01 <- 0
Panel$vorher_02 <- 0
Panel$vorher_03 <- 0
Panel$vorher_04 <- 0
Panel$vorher_05 <- 0
Panel$vorher_06 <- 0
Panel$vorher_07 <- 0
Panel$vorher_08 <- 0
Panel$vorher_09 <- 0
Panel$vorher_10 <- 0
Panel$vorher_11 <- 0
Panel$vorher_12 <- 0
Panel$vorher_13 <- 0
Panel$vorher_14 <- 0
Panel$vorher_15 <- 0
Panel$vorher_16 <- 0
Panel$vorher_17 <- 0
Panel$vorher_18 <- 0
Panel$vorher_19 <- 0
Panel$vorher_20 <- 0
Panel$vorher_21 <- 0
Panel$vorher_22 <- 0
Panel$vorher_23 <- 0
Panel$vorher_24 <- 0
Panel$vorher_25 <- 0
Panel$vorher_26 <- 0
Panel$vorher_27 <- 0
Panel$vorher_28 <- 0
Panel$vorher_29 <- 0
Panel$vorher_30 <- 0
Panel$vorher_31 <- 0
Panel$vorher_32 <- 0
Panel$vorher_33 <- 0
Panel$vorher_34 <- 0
Panel$vorher_35 <- 0
Panel$vorher_36 <- 0
for (i in 1:36){
  a <- i
  b <- 75+i
  Panel[,b] <- dplyr::lag(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lag(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$danach_01 <- 0
Panel$danach_02 <- 0
Panel$danach_03 <- 0
Panel$danach_04 <- 0
Panel$danach_05 <- 0
Panel$danach_06 <- 0
Panel$danach_07 <- 0
Panel$danach_08 <- 0
Panel$danach_09 <- 0
Panel$danach_10 <- 0
Panel$danach_11 <- 0
Panel$danach_12 <- 0
Panel$danach_13 <- 0
Panel$danach_14 <- 0
Panel$danach_15 <- 0
for (i in 1:15){
  a <- i
  b <- 112+i
  Panel[,b] <- dplyr::lead(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lead(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$Faelle_pro_Einwohner <- Panel$Faelle/Panel$Einwohner*100000
Panel$Tode_pro_Einwohner <- Panel$Todesfall/Panel$Einwohner*100000
Panel$vorher_36[is.na(Panel$vorher_36)] <- 0
Panel$danach_15[is.na(Panel$danach_15)] <- 0
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$vorher_36 <- cumsum(a$vorher_36)
  Panel$vorher_36[Panel$IdLandkreis==i] <- a$vorher_36
}
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$danach_15 <- rev(cumsum(rev(a$danach_15)))
  Panel$danach_15[Panel$IdLandkreis==i] <- a$danach_15
}
Panel$weekday <- weekdays(as.Date(Panel$Meldedatum))
# Binned Results
Panel$vorher0103 <- Panel$vorher_01+Panel$vorher_02+Panel$vorher_03
Panel$vorher0406 <- Panel$vorher_04+Panel$vorher_05+Panel$vorher_06
Panel$vorher0709 <- Panel$vorher_07+Panel$vorher_08+Panel$vorher_09
Panel$vorher1012 <- Panel$vorher_10+Panel$vorher_11+Panel$vorher_12
Panel$vorher1315 <- Panel$vorher_13+Panel$vorher_14+Panel$vorher_15
Panel$vorher1618 <- Panel$vorher_16+Panel$vorher_17+Panel$vorher_18
Panel$vorher1921 <- Panel$vorher_19+Panel$vorher_20+Panel$vorher_21
Panel$vorher2224 <- Panel$vorher_22+Panel$vorher_23+Panel$vorher_24
Panel$vorher2527 <- Panel$vorher_25+Panel$vorher_26+Panel$vorher_27
Panel$vorher2830 <- Panel$vorher_28+Panel$vorher_29+Panel$vorher_30
Panel$vorher3133 <- Panel$vorher_31+Panel$vorher_32+Panel$vorher_33
Panel$vorher3435 <- Panel$vorher_34+Panel$vorher_35
Panel$danach0103 <- Panel$danach_01+Panel$danach_02+Panel$danach_03
Panel$danach0406 <- Panel$danach_04+Panel$danach_05+Panel$danach_06
Panel$danach0709 <- Panel$danach_07+Panel$danach_08+Panel$danach_09
Panel$danach1012 <- Panel$danach_10+Panel$danach_11+Panel$danach_12
Panel$danach1314 <- Panel$danach_13+Panel$danach_14
Panel$stateweek <- paste(Panel$state, Panel$week)
reg1 <- summary(feols(Tode_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher2224 + vorher2527 + vorher2830 + vorher3133 + vorher3435 + vorher_36 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:12,14:18)]
st_error <- reg1$se[c(1:12,14:18)]*1.96
timing <- c(" [1,3]", " [4,6]", " [7,9]", "[10,12]", "[13,15]","[16,18]", "[19,21]", "[22,24]", "[25,27]", "[28,30]", "[31,33]", "[34,35]", " [-3,-1]", "  [-6,-4]", "   [-9,-7]", "   [-12,-10]", "    [-14,-13]")
data <- as.data.frame(cbind(coefficient, st_error, timing))
data[18,] <- c(0,0," [0]")
data$coefficient <- as.numeric(data$coefficient)
data$st_error <- as.numeric(data$st_error)

# Figure A15: Right Plot
ggplot(data, aes(x=timing)) + geom_ribbon(aes(ymin=coefficient-st_error, ymax=coefficient+st_error), alpha=0.2, fill="blue", group=1) + geom_ribbon(aes(ymin=coefficient-st_error/1.959964*1.64, ymax=coefficient+st_error/1.959964*1.64), alpha=0.35, fill="blue", group=1) + geom_point(aes(y=coefficient), col="navyblue", size=2) + geom_line(aes(y=coefficient), col="navyblue", size=0.5, group=1) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=6, linetype="dashed") + labs(y="Daily Deaths per 100,000", x="Days") + ylim(-0.0001,0.0002)
