## Replication Figure A18-A20

# Load Packages
library(readr)
library(readxl)
library(dplyr)
library(ggplot2)
library(lmtest)
library(stargazer)
library(sandwich)
library(lubridate)
library(AER)
library(scales)
library(pscl)
library(plm)
library(urca)
library(tseries)
library(EventStudy)
library(gridExtra)
library(mfx)
library(stringr)
library(sf)
library(fixest)

# Set Working Directory to the 'Data' Folder of the Replication Package
setwd("XXX")

# Load Data
Panel <- read_csv("Panel.csv")
Panel <- as.data.frame(Panel[,-1])

Panel$Spiel_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100000
#Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel <- log(Panel$Zuschauer)
#Panel$Spiel[is.na(Panel$Spiel)] <- 0
#Panel$Spiel <- Panel$Spiel_pro_Einwohner
Panel$vorher_01 <- 0
Panel$vorher_02 <- 0
Panel$vorher_03 <- 0
Panel$vorher_04 <- 0
Panel$vorher_05 <- 0
Panel$vorher_06 <- 0
Panel$vorher_07 <- 0
Panel$vorher_08 <- 0
Panel$vorher_09 <- 0
Panel$vorher_10 <- 0
Panel$vorher_11 <- 0
Panel$vorher_12 <- 0
Panel$vorher_13 <- 0
Panel$vorher_14 <- 0
Panel$vorher_15 <- 0
Panel$vorher_16 <- 0
Panel$vorher_17 <- 0
Panel$vorher_18 <- 0
Panel$vorher_19 <- 0
Panel$vorher_20 <- 0
Panel$vorher_21 <- 0
Panel$vorher_22 <- 0
#Panel$vorher_23 <- 0
#Panel$vorher_24 <- 0
#Panel$vorher_25 <- 0
#Panel$vorher_26 <- 0
#Panel$vorher_27 <- 0
#Panel$vorher_28 <- 0
#Panel$vorher_29 <- 0
for (i in 1:22){
  a <- i
  b <- 75+i
  Panel[,b] <- dplyr::lag(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lag(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$danach_01 <- 0
Panel$danach_02 <- 0
Panel$danach_03 <- 0
Panel$danach_04 <- 0
Panel$danach_05 <- 0
Panel$danach_06 <- 0
Panel$danach_07 <- 0
Panel$danach_08 <- 0
Panel$danach_09 <- 0
Panel$danach_10 <- 0
Panel$danach_11 <- 0
Panel$danach_12 <- 0
Panel$danach_13 <- 0
Panel$danach_14 <- 0
Panel$danach_15 <- 0
for (i in 1:15){
  a <- i
  b <- 98+i
  Panel[,b] <- dplyr::lead(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lead(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$Faelle_pro_Einwohner <- Panel$Faelle/Panel$Einwohner*100000
Panel$vorher_22[is.na(Panel$vorher_22)] <- 0
Panel$danach_15[is.na(Panel$danach_15)] <- 0
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$vorher_22 <- cumsum(a$vorher_22)
  Panel$vorher_22[Panel$IdLandkreis==i] <- a$vorher_22
}
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$danach_15 <- rev(cumsum(rev(a$danach_15)))
  Panel$danach_15[Panel$IdLandkreis==i] <- a$danach_15
}
Panel$weekday <- weekdays(as.Date(Panel$Meldedatum))

# Binned Results
Panel$vorher0103 <- Panel$vorher_01+Panel$vorher_02+Panel$vorher_03
Panel$vorher0406 <- Panel$vorher_04+Panel$vorher_05+Panel$vorher_06
Panel$vorher0709 <- Panel$vorher_07+Panel$vorher_08+Panel$vorher_09
Panel$vorher1012 <- Panel$vorher_10+Panel$vorher_11+Panel$vorher_12
Panel$vorher1315 <- Panel$vorher_13+Panel$vorher_14+Panel$vorher_15
Panel$vorher1618 <- Panel$vorher_16+Panel$vorher_17+Panel$vorher_18
Panel$vorher1921 <- Panel$vorher_19+Panel$vorher_20+Panel$vorher_21
#Panel$vorher2224 <- Panel$vorher_22+Panel$vorher_23+Panel$vorher_24
#Panel$vorher2528 <- Panel$vorher_25+Panel$vorher_26+Panel$vorher_27+Panel$vorher_28
Panel$danach0103 <- Panel$danach_01+Panel$danach_02+Panel$danach_03
Panel$danach0406 <- Panel$danach_04+Panel$danach_05+Panel$danach_06
Panel$danach0709 <- Panel$danach_07+Panel$danach_08+Panel$danach_09
Panel$danach1012 <- Panel$danach_10+Panel$danach_11+Panel$danach_12
Panel$danach1314 <- Panel$danach_13+Panel$danach_14
Panel$stateweek <- paste(Panel$IdBundesland, Panel$week)

# Figure A16: Right Plot
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential  | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-12-07",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2, 5, 8, 11, 14, 17, 20, -2, -5, -8, -11, -13)
data <- as.data.frame(cbind(coefficient, st_error, timing))
data[13,] <- c(0,0,0)
data$coefficient <- as.numeric(data$coefficient)
data$st_error <- as.numeric(data$st_error)
ggplot(data, aes(x=timing)) + geom_ribbon(aes(ymin=coefficient-st_error, ymax=coefficient+st_error), alpha=0.2, fill="blue", group=1) + geom_ribbon(aes(ymin=coefficient-st_error/1.959964*1.64, ymax=coefficient+st_error/1.959964*1.64), alpha=0.35, fill="blue", group=1) + geom_point(aes(y=coefficient), col="navyblue", size=2) + geom_line(aes(y=coefficient), col="navyblue", size=0.5, group=1) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=6, linetype="dashed") + labs(y="Daily Cases per 100,000", x="Days") + ylim(-0.002, 0.004)






# Load Data
Panel <- read_csv("Panel.csv")
Panel <- as.data.frame(Panel[,-1])

Panel$Spiel_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100000
#Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel <- log(Panel$Zuschauer)
#Panel$Spiel[is.na(Panel$Spiel)] <- 0
#Panel$Spiel <- Panel$Spiel_pro_Einwohner
Panel$vorher_01 <- 0
Panel$vorher_02 <- 0
Panel$vorher_03 <- 0
Panel$vorher_04 <- 0
Panel$vorher_05 <- 0
Panel$vorher_06 <- 0
Panel$vorher_07 <- 0
Panel$vorher_08 <- 0
Panel$vorher_09 <- 0
Panel$vorher_10 <- 0
Panel$vorher_11 <- 0
Panel$vorher_12 <- 0
Panel$vorher_13 <- 0
Panel$vorher_14 <- 0
Panel$vorher_15 <- 0
Panel$vorher_16 <- 0
Panel$vorher_17 <- 0
Panel$vorher_18 <- 0
Panel$vorher_19 <- 0
Panel$vorher_20 <- 0
Panel$vorher_21 <- 0
Panel$vorher_22 <- 0
#Panel$vorher_23 <- 0
#Panel$vorher_24 <- 0
#Panel$vorher_25 <- 0
#Panel$vorher_26 <- 0
#Panel$vorher_27 <- 0
#Panel$vorher_28 <- 0
#Panel$vorher_29 <- 0
for (i in 1:22){
  a <- i
  b <- 75+i
  Panel[,b] <- dplyr::lag(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lag(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$danach_01 <- 0
Panel$danach_02 <- 0
Panel$danach_03 <- 0
Panel$danach_04 <- 0
Panel$danach_05 <- 0
Panel$danach_06 <- 0
Panel$danach_07 <- 0
Panel$danach_08 <- 0
Panel$danach_09 <- 0
Panel$danach_10 <- 0
Panel$danach_11 <- 0
Panel$danach_12 <- 0
Panel$danach_13 <- 0
Panel$danach_14 <- 0
Panel$danach_15 <- 0
for (i in 1:15){
  a <- i
  b <- 98+i
  Panel[,b] <- dplyr::lead(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lead(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$Faelle_pro_Einwohner <- Panel$Faelle/Panel$Einwohner*100000
Panel$vorher_22[is.na(Panel$vorher_22)] <- 0
Panel$danach_15[is.na(Panel$danach_15)] <- 0
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$vorher_22 <- cumsum(a$vorher_22)
  Panel$vorher_22[Panel$IdLandkreis==i] <- a$vorher_22
}
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$danach_15 <- rev(cumsum(rev(a$danach_15)))
  Panel$danach_15[Panel$IdLandkreis==i] <- a$danach_15
}
Panel$weekday <- weekdays(as.Date(Panel$Meldedatum))

# Binned Results
Panel$vorher0103 <- Panel$vorher_01+Panel$vorher_02+Panel$vorher_03
Panel$vorher0406 <- Panel$vorher_04+Panel$vorher_05+Panel$vorher_06
Panel$vorher0709 <- Panel$vorher_07+Panel$vorher_08+Panel$vorher_09
Panel$vorher1012 <- Panel$vorher_10+Panel$vorher_11+Panel$vorher_12
Panel$vorher1315 <- Panel$vorher_13+Panel$vorher_14+Panel$vorher_15
Panel$vorher1618 <- Panel$vorher_16+Panel$vorher_17+Panel$vorher_18
Panel$vorher1921 <- Panel$vorher_19+Panel$vorher_20+Panel$vorher_21
#Panel$vorher2224 <- Panel$vorher_22+Panel$vorher_23+Panel$vorher_24
#Panel$vorher2528 <- Panel$vorher_25+Panel$vorher_26+Panel$vorher_27+Panel$vorher_28
Panel$danach0103 <- Panel$danach_01+Panel$danach_02+Panel$danach_03
Panel$danach0406 <- Panel$danach_04+Panel$danach_05+Panel$danach_06
Panel$danach0709 <- Panel$danach_07+Panel$danach_08+Panel$danach_09
Panel$danach1012 <- Panel$danach_10+Panel$danach_11+Panel$danach_12
Panel$danach1314 <- Panel$danach_13+Panel$danach_14
Panel$stateweek <- paste(Panel$IdBundesland, Panel$week)

# Figure A16: Left Plot
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential  | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-12-07",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2, 5, 8, 11, 14, 17, 20, -2, -5, -8, -11, -13)
data <- as.data.frame(cbind(coefficient, st_error, timing))
data[13,] <- c(0,0,0)
data$coefficient <- as.numeric(data$coefficient)
data$st_error <- as.numeric(data$st_error)
ggplot(data, aes(x=timing)) + geom_ribbon(aes(ymin=coefficient-st_error, ymax=coefficient+st_error), alpha=0.2, fill="blue", group=1) + geom_ribbon(aes(ymin=coefficient-st_error/1.959964*1.64, ymax=coefficient+st_error/1.959964*1.64), alpha=0.35, fill="blue", group=1) + geom_point(aes(y=coefficient), col="navyblue", size=2) + geom_line(aes(y=coefficient), col="navyblue", size=0.5, group=1) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=6, linetype="dashed") + labs(y="Daily Cases per 100,000", x="Days") + ylim(-2.5,5.5)


# Different Standard Errors (1. Cluster on County-Level)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential  | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2, 5, 8, 11, 14, 17, 20, -2, -5, -8, -11, -13)
data <- as.data.frame(cbind(coefficient, st_error, timing))
data[13,] <- c(0,0,0)
data$coefficient <- as.numeric(data$coefficient)
data$st_error <- as.numeric(data$st_error)
data$type <- "County (Baseline)"

# Different Standard Errors (2. Cluster on County-Week-Level)
Panel$countyweek <- paste(Panel$county, Panel$week)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~countyweek))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2, 5, 8, 11, 14, 17, 20, -2, -5, -8, -11, -13)+0.2
data2 <- as.data.frame(cbind(coefficient, st_error, timing))
data2[13,] <- c(0,0,0)
data2$coefficient <- as.numeric(data2$coefficient)
data2$st_error <- as.numeric(data2$st_error)
data2$type <- "County x Week"
Panel$countyweek <- NULL

# Different Standard Errors (3. Cluster on Regierungsbezirk Level)
Panel$bezirk <- substr(Panel$IdLandkreis, 1, 3)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~bezirk))
Panel$bezirk <- NULL
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2, 5, 8, 11, 14, 17, 20, -2, -5, -8, -11, -13)-0.2
data3 <- as.data.frame(cbind(coefficient, st_error, timing))
data3[13,] <- c(0,0,0)
data3$coefficient <- as.numeric(data3$coefficient)
data3$st_error <- as.numeric(data3$st_error)
data3$type <- "Government Region"
data <- rbind(data, data2, data3)

# Figure A19
ggplot(data, aes(x=timing)) + geom_errorbar(aes(ymin=coefficient-st_error, ymax=coefficient+st_error, col=type))  + geom_point(aes(y=coefficient, col=type), size=2) + geom_line(aes(y=coefficient, col=type), size=0.5) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=0, linetype="dashed") + labs(y="Daily Cases per 100,000", x="Days") + ylim(-2.5,5.5) + theme(legend.position="bottom") + scale_color_grey() + theme(legend.title=element_blank())








# Different Regional Time Trends (1. Baseline)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2, 5, 8, 11, 14, 17, 20, -2, -5, -8, -11, -13)
data <- as.data.frame(cbind(coefficient, st_error, timing))
data[13,] <- c(0,0,0)
data$coefficient <- as.numeric(data$coefficient)
data$st_error <- as.numeric(data$st_error)
data$type <- "Baseline (State x Week)"

# Different Standard Errors (2. Regierungsbezirk x Week)
Panel$countyweek <- paste(substr(Panel$IdLandkreis, 1, 3), Panel$week)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + countyweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2, 5, 8, 11, 14, 17, 20, -2, -5, -8, -11, -13)+0.2
data2 <- as.data.frame(cbind(coefficient, st_error, timing))
data2[13,] <- c(0,0,0)
data2$coefficient <- as.numeric(data2$coefficient)
data2$st_error <- as.numeric(data2$st_error)
data2$type <- "Government Region x Week"
Panel$countyweek <- NULL

# Different Standard Errors (3. State x Day)
Panel$stateday <- paste(Panel$IdBundesland, Panel$Meldedatum)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateday  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
Panel$stateday <- NULL
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2, 5, 8, 11, 14, 17, 20, -2, -5, -8, -11, -13)-0.2
data3 <- as.data.frame(cbind(coefficient, st_error, timing))
data3[13,] <- c(0,0,0)
data3$coefficient <- as.numeric(data3$coefficient)
data3$st_error <- as.numeric(data3$st_error)
data3$type <- "State x Day"

# Different Standard Errors (4. No Trend)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2, 5, 8, 11, 14, 17, 20, -2, -5, -8, -11, -13)-0.4
data4 <- as.data.frame(cbind(coefficient, st_error, timing))
data4[13,] <- c(0,0,0)
data4$coefficient <- as.numeric(data4$coefficient)
data4$st_error <- as.numeric(data4$st_error)
data4$type <- "No Regional Trend"
data <- rbind(data, data2, data3, data4)
ggplot(data, aes(x=timing)) + geom_errorbar(aes(ymin=coefficient-st_error, ymax=coefficient+st_error, col=type))  + geom_point(aes(y=coefficient, col=type), size=2) + geom_line(aes(y=coefficient, col=type), size=0.5) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=0, linetype="dashed") + labs(y="Daily Cases per 100,000", x="Days") + ylim(-2.5,5.5) + theme(legend.position="bottom") + scale_color_grey() + theme(legend.title=element_blank())








# Load Data
Panel <- read_csv("Panel.csv")
Panel <- as.data.frame(Panel[,-1])

Panel$Spiel_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100000
#Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel <- log(Panel$Zuschauer)
#Panel$Spiel[is.na(Panel$Spiel)] <- 0
#Panel$Spiel <- Panel$Spiel_pro_Einwohner
Panel$vorher_01 <- 0
Panel$vorher_02 <- 0
Panel$vorher_03 <- 0
Panel$vorher_04 <- 0
Panel$vorher_05 <- 0
Panel$vorher_06 <- 0
Panel$vorher_07 <- 0
Panel$vorher_08 <- 0
Panel$vorher_09 <- 0
Panel$vorher_10 <- 0
Panel$vorher_11 <- 0
Panel$vorher_12 <- 0
Panel$vorher_13 <- 0
Panel$vorher_14 <- 0
Panel$vorher_15 <- 0
Panel$vorher_16 <- 0
Panel$vorher_17 <- 0
Panel$vorher_18 <- 0
Panel$vorher_19 <- 0
Panel$vorher_20 <- 0
Panel$vorher_21 <- 0
Panel$vorher_22 <- 0
Panel$vorher_23 <- 0
Panel$vorher_24 <- 0
Panel$vorher_25 <- 0
Panel$vorher_26 <- 0
Panel$vorher_27 <- 0
Panel$vorher_28 <- 0
Panel$vorher_29 <- 0
for (i in 1:29){
  a <- i
  b <- 75+i
  Panel[,b] <- dplyr::lag(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lag(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$danach_01 <- 0
Panel$danach_02 <- 0
Panel$danach_03 <- 0
Panel$danach_04 <- 0
Panel$danach_05 <- 0
Panel$danach_06 <- 0
Panel$danach_07 <- 0
Panel$danach_08 <- 0
Panel$danach_09 <- 0
Panel$danach_10 <- 0
Panel$danach_11 <- 0
Panel$danach_12 <- 0
Panel$danach_13 <- 0
Panel$danach_14 <- 0
Panel$danach_15 <- 0
for (i in 1:15){
  a <- i
  b <- 105+i
  Panel[,b] <- dplyr::lead(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lead(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$Faelle_pro_Einwohner <- Panel$Faelle/Panel$Einwohner*100000
Panel$vorher_29[is.na(Panel$vorher_29)] <- 0
Panel$danach_15[is.na(Panel$danach_15)] <- 0
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$vorher_29 <- cumsum(a$vorher_29)
  Panel$vorher_29[Panel$IdLandkreis==i] <- a$vorher_29
}
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$danach_15 <- rev(cumsum(rev(a$danach_15)))
  Panel$danach_15[Panel$IdLandkreis==i] <- a$danach_15
}
Panel$weekday <- weekdays(as.Date(Panel$Meldedatum))

# Binned Results
Panel$vorher0103 <- Panel$vorher_01+Panel$vorher_02+Panel$vorher_03
Panel$vorher0406 <- Panel$vorher_04+Panel$vorher_05+Panel$vorher_06
Panel$vorher0709 <- Panel$vorher_07+Panel$vorher_08+Panel$vorher_09
Panel$vorher1012 <- Panel$vorher_10+Panel$vorher_11+Panel$vorher_12
Panel$vorher1315 <- Panel$vorher_13+Panel$vorher_14+Panel$vorher_15
Panel$vorher1618 <- Panel$vorher_16+Panel$vorher_17+Panel$vorher_18
Panel$vorher1921 <- Panel$vorher_19+Panel$vorher_20+Panel$vorher_21
Panel$vorher2224 <- Panel$vorher_22+Panel$vorher_23+Panel$vorher_24
Panel$vorher2528 <- Panel$vorher_25+Panel$vorher_26+Panel$vorher_27+Panel$vorher_28
Panel$danach0103 <- Panel$danach_01+Panel$danach_02+Panel$danach_03
Panel$danach0406 <- Panel$danach_04+Panel$danach_05+Panel$danach_06
Panel$danach0709 <- Panel$danach_07+Panel$danach_08+Panel$danach_09
Panel$danach1012 <- Panel$danach_10+Panel$danach_11+Panel$danach_12
Panel$danach1314 <- Panel$danach_13+Panel$danach_14
Panel$stateweek <- paste(Panel$IdBundesland, Panel$week)

# Figure A20
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher2224 + vorher2528 + vorher_29 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:9,11:15)]
st_error <- reg1$se[c(1:9,11:15)]*1.96
timing <- c(" [1,3]", " [4,6]", " [7,9]", "[10,12]", "[13,15]","[16,18]", "[19,21]", "[22,24]", "[25,28]", " [-3,-1]", "  [-6,-4]", "   [-9,-7]", "   [-12,-10]", "    [-14,-13]")
data <- as.data.frame(cbind(coefficient, st_error, timing))
data[15,] <- c(0,0," [0]")
data$coefficient <- as.numeric(data$coefficient)
data$st_error <- as.numeric(data$st_error)
ggplot(data, aes(x=timing)) + geom_ribbon(aes(ymin=coefficient-st_error, ymax=coefficient+st_error), alpha=0.2, fill="blue", group=1) + geom_ribbon(aes(ymin=coefficient-st_error/1.959964*1.64, ymax=coefficient+st_error/1.959964*1.64), alpha=0.35, fill="blue", group=1) + geom_point(aes(y=coefficient), col="navyblue", size=2) + geom_line(aes(y=coefficient), col="navyblue", size=0.5, group=1) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=6, linetype="dashed") + labs(y="Daily Cases per 100,000", x="Days") + ylim(-2.5,5.5)