## Replication Figure A22

# Load Packages
library(readr)
library(readxl)
library(dplyr)
library(ggplot2)
library(lmtest)
library(stargazer)
library(sandwich)
library(lubridate)
library(AER)
library(scales)
library(pscl)
library(plm)
library(urca)
library(tseries)
library(EventStudy)
library(gridExtra)
library(mfx)
library(stringr)
library(sf)
library(fixest)

# Set Working Directory to the 'Data' Folder of the Replication Package
setwd("XXX")

# Load Data
Panel <- read_csv("Panel.csv")
Panel <- as.data.frame(Panel[,-1])

Panel$Spiel_pro_Einwohner <- Panel$Spiel/Panel$Einwohner*100000
Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel_pro_Einwohner <- Panel$Zuschauer/Panel$Einwohner*100000
#Panel$Spiel_pro_Einwohner[is.na(Panel$Spiel_pro_Einwohner)] <- 0
#Panel$Spiel <- log(Panel$Zuschauer)
#Panel$Spiel[is.na(Panel$Spiel)] <- 0
#Panel$Spiel <- Panel$Spiel_pro_Einwohner
Panel$vorher_01 <- 0
Panel$vorher_02 <- 0
Panel$vorher_03 <- 0
Panel$vorher_04 <- 0
Panel$vorher_05 <- 0
Panel$vorher_06 <- 0
Panel$vorher_07 <- 0
Panel$vorher_08 <- 0
Panel$vorher_09 <- 0
Panel$vorher_10 <- 0
Panel$vorher_11 <- 0
Panel$vorher_12 <- 0
Panel$vorher_13 <- 0
Panel$vorher_14 <- 0
Panel$vorher_15 <- 0
Panel$vorher_16 <- 0
Panel$vorher_17 <- 0
Panel$vorher_18 <- 0
Panel$vorher_19 <- 0
Panel$vorher_20 <- 0
Panel$vorher_21 <- 0
Panel$vorher_22 <- 0
#Panel$vorher_23 <- 0
#Panel$vorher_24 <- 0
#Panel$vorher_25 <- 0
#Panel$vorher_26 <- 0
#Panel$vorher_27 <- 0
#Panel$vorher_28 <- 0
#Panel$vorher_29 <- 0
for (i in 1:22){
  a <- i
  b <- 75+i
  Panel[,b] <- dplyr::lag(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lag(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$danach_01 <- 0
Panel$danach_02 <- 0
Panel$danach_03 <- 0
Panel$danach_04 <- 0
Panel$danach_05 <- 0
Panel$danach_06 <- 0
Panel$danach_07 <- 0
Panel$danach_08 <- 0
Panel$danach_09 <- 0
Panel$danach_10 <- 0
Panel$danach_11 <- 0
Panel$danach_12 <- 0
Panel$danach_13 <- 0
Panel$danach_14 <- 0
Panel$danach_15 <- 0
for (i in 1:15){
  a <- i
  b <- 98+i
  Panel[,b] <- dplyr::lead(Panel$Spiel_pro_Einwohner, a)
  Panel$lag_Kreis <- dplyr::lead(Panel$IdLandkreis, a)
  Panel[,b][Panel$lag_Kreis!=Panel$IdLandkreis] <- 0
  Panel[,b][is.na(Panel[,b])] <- 0
}
Panel$Faelle_pro_Einwohner <- Panel$Faelle/Panel$Einwohner*100000
Panel$vorher_22[is.na(Panel$vorher_22)] <- 0
Panel$danach_15[is.na(Panel$danach_15)] <- 0
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$vorher_22 <- cumsum(a$vorher_22)
  Panel$vorher_22[Panel$IdLandkreis==i] <- a$vorher_22
}
for (i in unique(Panel$IdLandkreis)){
  a <- Panel[Panel$IdLandkreis==i,]
  a$danach_15 <- rev(cumsum(rev(a$danach_15)))
  Panel$danach_15[Panel$IdLandkreis==i] <- a$danach_15
}
Panel$weekday <- weekdays(as.Date(Panel$Meldedatum))

# Binned Results
Panel$vorher0103 <- Panel$vorher_01+Panel$vorher_02+Panel$vorher_03
Panel$vorher0406 <- Panel$vorher_04+Panel$vorher_05+Panel$vorher_06
Panel$vorher0709 <- Panel$vorher_07+Panel$vorher_08+Panel$vorher_09
Panel$vorher1012 <- Panel$vorher_10+Panel$vorher_11+Panel$vorher_12
Panel$vorher1315 <- Panel$vorher_13+Panel$vorher_14+Panel$vorher_15
Panel$vorher1618 <- Panel$vorher_16+Panel$vorher_17+Panel$vorher_18
Panel$vorher1921 <- Panel$vorher_19+Panel$vorher_20+Panel$vorher_21
#Panel$vorher2224 <- Panel$vorher_22+Panel$vorher_23+Panel$vorher_24
#Panel$vorher2528 <- Panel$vorher_25+Panel$vorher_26+Panel$vorher_27+Panel$vorher_28
Panel$danach0103 <- Panel$danach_01+Panel$danach_02+Panel$danach_03
Panel$danach0406 <- Panel$danach_04+Panel$danach_05+Panel$danach_06
Panel$danach0709 <- Panel$danach_07+Panel$danach_08+Panel$danach_09
Panel$danach1012 <- Panel$danach_10+Panel$danach_11+Panel$danach_12
Panel$danach1314 <- Panel$danach_13+Panel$danach_14
Panel$stateweek <- paste(Panel$IdBundesland, Panel$week)

# Airport Robustness Checks (1. Baseline)
Flughafen <- read_excel("Flughafen.xlsx")
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2,5,8,11,14,17,20,-2,-5,-8,-11,-13)
data <- as.data.frame(cbind(coefficient, st_error, timing))
data[13,] <- c(0,0,0)
data$coefficient <- as.numeric(data$coefficient)
data$st_error <- as.numeric(data$st_error)
data$type <- " Baseline"

# Airport Robustness Checks (2. Drop Counties)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential    | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09" & !(Panel$IdLandkreis %in% Flughafen$IdLandkreis),], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2,5,8,11,14,17,20,-2,-5,-8,-11,-13)+0.2
data2 <- as.data.frame(cbind(coefficient, st_error, timing))
data2[13,] <- c(0,0,0)
data2$coefficient <- as.numeric(data2$coefficient)
data2$st_error <- as.numeric(data2$st_error)
data2$type <- "Airport Counties Dropped"

# Airport Robustness Checks (3. Number of Passengers as Control)
Flughafen2 <- read_excel("Flughafen.xlsx", sheet = "Tabelle2")
Flughafen2 <- left_join(Flughafen2, Flughafen, by = "Name")
Flughafen2$match <- substr(Flughafen2$Monat, 1, 7)
Flughafen2 <- Flughafen2[Flughafen2$Passengers>0,]
Panel$match <- substr(Panel$Meldedatum, 1, 7)
Panel <- left_join(Panel, dplyr::select(Flughafen2, IdLandkreis, match, Passengers), by = c("IdLandkreis", "match"))
Panel$Passengers[is.na(Panel$Passengers)] <- 0
Panel$Passengers_pro_Einwohner <- as.numeric(Panel$Passengers)/as.numeric(Panel$Einwohner)*100000
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential + log(Passengers_pro_Einwohner + sqrt(1 + Passengers_pro_Einwohner)):factor(week)   | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2,5,8,11,14,17,20,-2,-5,-8,-11,-13)+0.4
data3 <- as.data.frame(cbind(coefficient, st_error, timing))
data3[13,] <- c(0,0,0)
data3$coefficient <- as.numeric(data3$coefficient)
data3$st_error <- as.numeric(data3$st_error)
data3$type <- "Control: Passengers/100,000 x Week"

# Airport Robustness Checks (4. Dummy for Holidays if there was Official School Holidays Seven Days Ago)
Panel$holiday <- 0
Panel$holiday[Panel$IdBundesland==8 & Panel$Meldedatum>"2020-07-29" & Panel$Meldedatum<"2020-09-13"] <- 1
Panel$holiday[Panel$IdBundesland==8 & Panel$Meldedatum>"2020-10-25" & Panel$Meldedatum<"2020-11-01"] <- 1
Panel$holiday[Panel$IdBundesland==9 & Panel$Meldedatum>"2020-07-26" & Panel$Meldedatum<"2020-09-08"] <- 1
Panel$holiday[Panel$IdBundesland==9 & Panel$Meldedatum>"2020-10-30" & Panel$Meldedatum<"2020-11-07"] <- 1
Panel$holiday[Panel$IdBundesland==9 & Panel$Meldedatum>"2020-11-17" & Panel$Meldedatum<"2020-11-19"] <- 1
Panel$holiday[Panel$IdBundesland==11 & Panel$Meldedatum>"2020-06-24" & Panel$Meldedatum<"2020-08-08"] <- 1
Panel$holiday[Panel$IdBundesland==11 & Panel$Meldedatum>"2020-10-11" & Panel$Meldedatum<"2020-10-25"] <- 1
Panel$holiday[Panel$IdBundesland==12 & Panel$Meldedatum>"2020-06-24" & Panel$Meldedatum<"2020-08-09"] <- 1
Panel$holiday[Panel$IdBundesland==12 & Panel$Meldedatum>"2020-10-11" & Panel$Meldedatum<"2020-10-25"] <- 1
Panel$holiday[Panel$IdBundesland==4 & Panel$Meldedatum>"2020-07-15" & Panel$Meldedatum<"2020-08-27"] <- 1
Panel$holiday[Panel$IdBundesland==4 & Panel$Meldedatum>"2020-10-11" & Panel$Meldedatum<"2020-10-25"] <- 1
Panel$holiday[Panel$IdBundesland==2 & Panel$Meldedatum>"2020-06-24" & Panel$Meldedatum<"2020-08-06"] <- 1
Panel$holiday[Panel$IdBundesland==2 & Panel$Meldedatum>"2020-10-04" & Panel$Meldedatum<"2020-10-17"] <- 1
Panel$holiday[Panel$IdBundesland==6 & Panel$Meldedatum>"2020-07-05" & Panel$Meldedatum<"2020-08-27"] <- 1
Panel$holiday[Panel$IdBundesland==6 & Panel$Meldedatum>"2020-10-11" & Panel$Meldedatum<"2020-10-24"] <- 1
Panel$holiday[Panel$IdBundesland==13 & Panel$Meldedatum>"2020-06-21" & Panel$Meldedatum<"2020-08-02"] <- 1
Panel$holiday[Panel$IdBundesland==13 & Panel$Meldedatum>"2020-10-04" & Panel$Meldedatum<"2020-10-11"] <- 1
Panel$holiday[Panel$IdBundesland==13 & Panel$Meldedatum>"2020-11-01" & Panel$Meldedatum<"2020-11-04"] <- 1
Panel$holiday[Panel$IdBundesland==3 & Panel$Meldedatum>"2020-07-15" & Panel$Meldedatum<"2020-08-27"] <- 1
Panel$holiday[Panel$IdBundesland==3 & Panel$Meldedatum>"2020-10-11" & Panel$Meldedatum<"2020-10-24"] <- 1
Panel$holiday[Panel$IdBundesland==5 & Panel$Meldedatum>"2020-06-28" & Panel$Meldedatum<"2020-08-12"] <- 1
Panel$holiday[Panel$IdBundesland==5 & Panel$Meldedatum>"2020-10-11" & Panel$Meldedatum<"2020-10-25"] <- 1
Panel$holiday[Panel$IdBundesland==7 & Panel$Meldedatum>"2020-07-05" & Panel$Meldedatum<"2020-08-15"] <- 1
Panel$holiday[Panel$IdBundesland==7 & Panel$Meldedatum>"2020-10-11" & Panel$Meldedatum<"2020-10-24"] <- 1
Panel$holiday[Panel$IdBundesland==10 & Panel$Meldedatum>"2020-07-05" & Panel$Meldedatum<"2020-08-15"] <- 1
Panel$holiday[Panel$IdBundesland==10 & Panel$Meldedatum>"2020-10-11" & Panel$Meldedatum<"2020-10-24"] <- 1
Panel$holiday[Panel$IdBundesland==14 & Panel$Meldedatum>"2020-07-19" & Panel$Meldedatum<"2020-08-29"] <- 1
Panel$holiday[Panel$IdBundesland==14 & Panel$Meldedatum>"2020-10-18" & Panel$Meldedatum<"2020-11-01"] <- 1
Panel$holiday[Panel$IdBundesland==15 & Panel$Meldedatum>"2020-07-15" & Panel$Meldedatum<"2020-08-27"] <- 1
Panel$holiday[Panel$IdBundesland==15 & Panel$Meldedatum>"2020-10-18" & Panel$Meldedatum<"2020-10-25"] <- 1
Panel$holiday[Panel$IdBundesland==1 & Panel$Meldedatum>"2020-06-28" & Panel$Meldedatum<"2020-08-09"] <- 1
Panel$holiday[Panel$IdBundesland==1 & Panel$Meldedatum>"2020-10-04" & Panel$Meldedatum<"2020-10-18"] <- 1
Panel$holiday[Panel$IdBundesland==16 & Panel$Meldedatum>"2020-07-19" & Panel$Meldedatum<"2020-08-30"] <- 1
Panel$holiday[Panel$IdBundesland==16 & Panel$Meldedatum>"2020-10-16" & Panel$Meldedatum<"2020-10-31"] <- 1
Panel <- Panel[order(Panel$IdLandkreis, Panel$Meldedatum),]
Panel$holidaysevendaysago <- ifelse(dplyr::lag(Panel$holiday)==1, 1, 0)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential + holidaysevendaysago:factor(week)   | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2,5,8,11,14,17,20,-2,-5,-8,-11,-13)+0.6
data4 <- as.data.frame(cbind(coefficient, st_error, timing))
data4[13,] <- c(0,0,0)
data4$coefficient <- as.numeric(data4$coefficient)
data4$st_error <- as.numeric(data4$st_error)
data4$type <- "Control: Holiday Seven Days Ago x Week"

# Airport Robustness Checks (5. Distance of Every County to Nearest Airport)
Map <- st_read("VG250_KRS.shp")
Map$ARS[Map$ARS=="11000"] <- "11"
centroid <- st_centroid(Map$geometry)
centroid <- st_transform(centroid, "+proj=longlat +ellps=WGS84 +datum=WGS84")
centroid <- st_coordinates(centroid)
centroid <- as.data.frame(centroid)
centroid$ARS <- Map$ARS
Flughafen <- read_excel("Flughafen.xlsx")
Flughafen$X <- as.numeric(Flughafen$X)
Flughafen$Y <- as.numeric(Flughafen$Y)
centroid2 <- centroid
library(geosphere)
for (i in 1:nrow(centroid)){
  Flughafen$X2 <- centroid$X[i]
  Flughafen$Y2 <- centroid$Y[i]
  for (j in 1:nrow(Flughafen)){
    Flughafen$Distance[j] <- (distGeo(c(as.numeric(Flughafen$X[j]), as.numeric(Flughafen$Y[j])), c(Flughafen$X2[j], Flughafen$Y2[j]), a=6378137, f=1/298.257223563))/1000
  }
  centroid$Distance[i] <- min(Flughafen$Distance)
}
centroid <- summarize(group_by(centroid, ARS), Distance = mean(Distance))
Panel <- left_join(Panel, dplyr::select(centroid, ARS, Distance), by = c("IdLandkreis" = "ARS"))
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential + log(Distance):factor(week)   | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2,5,8,11,14,17,20,-2,-5,-8,-11,-13)-0.2
data5 <- as.data.frame(cbind(coefficient, st_error, timing))
data5[13,] <- c(0,0,0)
data5$coefficient <- as.numeric(data5$coefficient)
data5$st_error <- as.numeric(data5$st_error)
data5$type <- "Control: log(Distance to Airport) x Week"

# Airport Robustness Checks (6. Flexible County-Level Trends)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential + factor(IdLandkreis):Meldedatum  | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2,5,8,11,14,17,20,-2,-5,-8,-11,-13)-0.4
data6 <- as.data.frame(cbind(coefficient, st_error, timing))
data6[13,] <- c(0,0,0)
data6$coefficient <- as.numeric(data6$coefficient)
data6$st_error <- as.numeric(data6$st_error)
data6$type <- "County Trends"

# Airport Robustness Checks (7. Distance to Border)
Map <- st_read("vg2500_sta.shp")
a <- as.data.frame(st_coordinates(Map$geometry[2])[,1:2])
centroid <- centroid2
for (i in 1:nrow(centroid)){
  a$X2 <- centroid$X[i]
  a$Y2 <- centroid$Y[i]
  a$absdis <- abs(a$X-a$X2)+abs(a$Y-a$Y2)
  b <- a[a$absdis<quantile(a$absdis, 0.01),]
  for (j in 1:nrow(b)){
    b$Distance[j] <- (distGeo(c(as.numeric(b$X[j]), as.numeric(b$Y[j])), c(b$X2[j], b$Y2[j]), a=6378137, f=1/298.257223563))/1000
  }
  centroid$Distance[i] <- min(b$Distance, na.rm = TRUE)
}
centroid <- summarize(group_by(centroid, ARS), Distance = mean(Distance))
centroid$dist <- centroid$Distance
Panel <- left_join(Panel, centroid, by = c("IdLandkreis" = "ARS"))
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential + log(dist):factor(week)  | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2,5,8,11,14,17,20,-2,-5,-8,-11,-13)-0.6
data7 <- as.data.frame(cbind(coefficient, st_error, timing))
data7[13,] <- c(0,0,0)
data7$coefficient <- as.numeric(data7$coefficient)
data7$st_error <- as.numeric(data7$st_error)
data7$type <- "Control: log(Distance to Border) x Week"

# Airport Robustness Checks (8. ICE Bahnhof)
Bahnhoefe <- read_delim("Bahnhoefe.csv", 
                        ";", escape_double = FALSE, trim_ws = TRUE)
Bahnhoefe$IdLandkreis <- substr(Bahnhoefe$IFOPT, 4, 8)
Bahnhoefe <- Bahnhoefe[Bahnhoefe$Verkehr=="FV",]
Bahnhoefe$IdLandkreis[Bahnhoefe$IdLandkreis=="11000"] <- 11
Bahnhoefe$IdLandkreis[Bahnhoefe$IdLandkreis=="03152"] <- "03154"
Bahnhoefe <- Bahnhoefe[Bahnhoefe$IdLandkreis!="23005",]
Panel$ICE <- ifelse(Panel$IdLandkreis %in% Bahnhoefe$IdLandkreis, 1, 0)
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential + ICE:factor(week)  | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2,5,8,11,14,17,20,-2,-5,-8,-11,-13)-0.8
data8 <- as.data.frame(cbind(coefficient, st_error, timing))
data8[13,] <- c(0,0,0)
data8$coefficient <- as.numeric(data8$coefficient)
data8$st_error <- as.numeric(data8$st_error)
data8$type <- "Control: ICE Station x Week"

# Airport Robustness Checks (9. Bundeszahlen Interacted with County FE)
Auslandfaelle <- read_excel("Auslandfaelle.xlsx")
Panel <- left_join(Panel, Auslandfaelle, by = c("week" = "KW"))
reg1 <- summary(feols(Faelle_pro_Einwohner ~ vorher0103 + vorher0406 + vorher0709 + vorher1012 + vorher1315 + vorher1618 + vorher1921 + vorher_22 +
                        danach0103 + danach0406 + danach0709 + danach1012 + danach1314 + danach_15 + parks + grocery + retail + stations + workplaces + residential + NichtInnerlandFaelle:factor(IdLandkreis)  | IdLandkreis + Meldedatum + stateweek  +0, Panel[Panel$Meldedatum>"2020-08-09" & Panel$Meldedatum<"2020-11-09",], cluster= ~IdLandkreis))
coefficient <- reg1$coefficients[c(1:7,9:13)]
st_error <- reg1$se[c(1:7,9:13)]*1.96
timing <- c(2,5,8,11,14,17,20,-2,-5,-8,-11,-13)+0.8
data9 <- as.data.frame(cbind(coefficient, st_error, timing))
data9[13,] <- c(0,0,0)
data9$coefficient <- as.numeric(data9$coefficient)
data9$st_error <- as.numeric(data9$st_error)
data9$type <- "Control: Infections Abroad x Week"
data <- rbind(data, data2, data3, data4, data5, data6, data7, data8, data9)

# Figure A22
ggplot(data, aes(x=timing)) + geom_errorbar(aes(ymin=coefficient-st_error, ymax=coefficient+st_error, col=type)) + geom_point(aes(y=coefficient, col=type), size=2) + geom_line(aes(y=coefficient, col=type)) + theme_classic() + geom_hline(yintercept=0, linetype="dashed") + geom_vline(xintercept=0, linetype="dashed") + labs(y="Daily Cases per 100,000", x="Days") + ylim(-2.5,5.5) + theme(legend.title = element_blank()) + scale_color_grey() + theme(legend.position = "bottom") +guides(col=guide_legend(nrow=3,byrow=TRUE))