## Replication Figure A9

# Load Packages
library(readr)
library(readxl)
library(dplyr)
library(ggplot2)
library(lmtest)
library(stargazer)
library(sandwich)
library(lubridate)
library(AER)
library(scales)
library(pscl)
library(plm)
library(urca)
library(tseries)
library(EventStudy)
library(gridExtra)
library(mfx)
library(stringr)
library(sf)
library(fixest)

# Set Working Directory to the 'Data' Folder of the Replication Package
setwd("XXX")

# Load Data
Panel <- read_csv("Panel.csv")
Panel <- Panel[,-1]

### Spiele und erlaubte Zuschauer
ggplot(Panel[Panel$Spiel==1,], aes(Inzidenz_Faelle, Zuschauer)) + geom_point(col="blue", alpha=.25) + theme_classic() + geom_vline(xintercept=35, linetype="dashed") + labs(y="Attendance", x="Cases per 100,000 Inhabitants throughout last seven days") + annotate(geom="text", x=28, y=10000, label="35", fontface=2)# + annotate(geom="text", x=57, y=10000, label="50", fontface=2)
