## Replication Figure 4-5

# Load Packages
library(readr)
library(readxl)
library(dplyr)
library(ggplot2)
library(lmtest)
library(stargazer)
library(sandwich)
library(lubridate)
library(AER)
library(scales)
library(pscl)
library(plm)
library(urca)
library(tseries)
library(EventStudy)
library(gridExtra)
library(mfx)
library(stringr)
library(sf)
library(fixest)

# Set Working Directory to the 'Data' Folder of the Replication Package
setwd("XXX")

# Load Data
Comparison <- read_csv("Selection.csv")

# Table A2
probitmfx(Treated ~ log(Einwohner) + Bevoelkerungsdichte + Einwohner65 + Auslaenderanteil + log(Einkommensverfuegbarkeit) + Evangelisch + Katholisch + Kinderhaushalte + Haushaltsgroesse + Krankenhausdichte + Bettendichte, data = Comparison, robust=TRUE)
probitmfx(Treated ~ log(Einwohner) + Bevoelkerungsdichte + Einwohner65 + Auslaenderanteil + log(Einkommensverfuegbarkeit) + Evangelisch + Katholisch + Kinderhaushalte + Haushaltsgroesse + Krankenhausdichte + Bettendichte + factor(IdBundesland), data = Comparison, robust=TRUE)
pR2(glm(Treated ~ log(Einwohner) + Bevoelkerungsdichte + Einwohner65 + Auslaenderanteil + log(Einkommensverfuegbarkeit) + Evangelisch + Katholisch + Kinderhaushalte + Haushaltsgroesse + Krankenhausdichte + Bettendichte, family = binomial(link = "probit"), data = Comparison))
pR2(glm(Treated ~ log(Einwohner) + Bevoelkerungsdichte + Einwohner65 + Auslaenderanteil + log(Einkommensverfuegbarkeit) + Evangelisch + Katholisch + Kinderhaushalte + Haushaltsgroesse + Krankenhausdichte + Bettendichte + factor(IdBundesland), family = binomial(link = "probit"), data = Comparison))